#coding:utf8

import re
from bs4 import BeautifulSoup

p = '''
包名称：包B：电脑恒温电蜡疗仪，全自动红外母乳分析仪，生物反馈治疗仪，磁刺激仪，多参数生物反馈仪、婴幼儿养育照护指导中心综合管理平台、多功能婴儿培养箱供应商名称：济南旭博医疗设备有限公司
<table border="1"><tbody><tr><td colspan="1">货物名称</td><td colspan="1">品牌</td><td colspan="1">产地</td><td colspan="1">规格要求</td><td colspan="1">单价(元)/优惠率</td><td colspan="1">数量/单位</td></tr><tr><td colspan="1">婴幼儿养育照护指导中心综合管理平台</td><td colspan="1">北京零六</td><td colspan="1">北京/北京零六爱成长健康科技有限公司</td><td colspan="1">爱成长</td><td colspan="1">220000.000000</td><td colspan="1">1套</td></tr><tr><td colspan="1">电脑恒温电蜡疗仪</td><td colspan="1">苏州好博 </td><td colspan="1">苏州/苏州好博医疗器械股份有限公司</td><td colspan="1">HB-LY3</td><td colspan="1">104000.000000</td><td colspan="1">1台</td></tr><tr><td colspan="1">全自动红外母乳分析仪</td><td colspan="1">泰安康宇</td><td colspan="1">泰安/泰安市康宇医疗器械有限公司</td><td colspan="1">KY-9002</td><td colspan="1">200000.000000</td><td colspan="1">1台</td></tr><tr><td colspan="1">多功能婴儿培养箱</td><td colspan="1">宁波戴维</td><td colspan="1">宁波/宁波戴维医疗器械股份有限公司</td><td colspan="1">YP-3000</td><td colspan="1">302000.000000</td><td colspan="1">2台</td></tr><tr><td colspan="1">多参数生物反馈仪</td><td colspan="1">南京伟思</td><td colspan="1">南京/南京伟思医疗科技股份有限公司</td><td colspan="1">Infiniti3000C</td><td colspan="1">220000.000000</td><td colspan="1">1台</td></tr><tr><td colspan="1">生物反馈治疗仪</td><td colspan="1">南京锐诗得</td><td colspan="1">南京/南京锐诗得医疗科技有限公司</td><td colspan="1">RSD RM4</td><td colspan="1">87000.000000</td><td colspan="1">1台</td></tr><tr><td colspan="1">磁刺激仪</td><td colspan="1">南京伟思</td><td colspan="1">南京/南京伟思医疗科技股份有限公司</td><td colspan="1">Magneuro100HZ</td><td colspan="1">355000.000000</td><td colspan="1">1台</td></tr></tbody></table>

'''
_text = BeautifulSoup(p,"html5lib").get_text()
print(_text)
meter_pattern = "[><≤≥±]\d+|\d+(?:[μucmkK微毫千]?[米升LlgGmMΩ]|摄氏度|英寸|度|天|VA|dB|bpm|rpm|kPa|mol|cmH20|%|°|Mpa|Hz|K?HZ|℃|W|min|[*×xX])|[*×xX]\d+|/min|\ds[^a-zA-Z]|GB.{,20}标准|PVC|PP|角度|容积|色彩|自动|流量|外径|轴位|折射率|帧率|柱镜|振幅|磁场|镜片|防漏|强度|允差|心率|倍数|瞳距|底座|色泽|噪音|间距|材质|材料|表面|频率|阻抗|浓度|兼容|防尘|防水|内径|实时|一次性|误差|性能|距离|精确|温度|超温|范围|跟踪|对比度|亮度|[横纵]向|均压|负压|正压|可调|设定值|功能|检测|高度|厚度|宽度|深度|[单双多]通道|效果|指数|模式|尺寸|重量|峰值|谷值|容量|寿命|稳定性|高温|信号|电源|电流|转换率|效率|释放量|转速|离心力|向心力|弯曲|电压|功率|气量|国标|标准协议|灵敏度|最大值|最小值|耐磨|波形|高压|性强|工艺|光源|低压|压力|压强|速度|湿度|重量|毛重|[MLX大中小]+码|净重|颜色|[红橙黄绿青蓝紫]色|不锈钢|输入|输出|噪声|认证|配置"
not_meter_pattern = "投标报价|中标金额|商务部分|公章|分值构成|业绩|详见|联系人|联系电话|合同价|金额|采购预算|资金来源|费用|质疑|评审因素|评审标准|商务资信|商务评分|总价|专家论证意见|评标方法|代理服务费|售后服务|邮政编码|评分类型|评分项目|预算金额|得\d+分|项目金额|详见招标文件|乙方|甲方|合同|报价|采购人|技术支持服务"
print(list(set(re.findall(meter_pattern,_text))))
print(list(set(re.findall(not_meter_pattern,_text))))
