from BaseDataMaintenance.model.ots.BaseModel import BaseModel

major_project_id = "id"
major_project_project_name = "project_name"

major_project_area = "area"
major_project_province = "province"
major_project_city = "city"
major_project_district = "district"
major_project_construction_enterprise = "construction_enterprise"
major_project_project_leader = "project_leader"
major_project_project_leader_phone = "project_leader_phone"
major_project_project_overview = "project_overview"


major_project_construction_nature = "construction_nature"
major_project_main_engineering = "main_engineering"
major_project_plan_start_time = "plan_start_time"
major_project_plan_end_time = "plan_end_time"
major_project_total_investment = "total_investment"
major_project_industry_first = "industry_first"
major_project_industry_second = "industry_second"
major_project_industry_third = "industry_third"
major_project_industry = "industry"
major_project_page_time = "page_time"
major_project_plan_year = "plan_year"
major_project_project_dynamics = "project_dynamics"
major_project_project_dynamic_number = "project_dynamic_number"
major_project_project_stage = "project_stage"
major_project_latest_page_time = "latest_page_time"
major_project_detail_link = "detail_link"
major_project_web_source_no = "web_source_no"
major_project_web_source = "web_source"
major_project_status = "status"
major_project_construction_period = "construction_period"
major_project_attachments = "attachments"
major_project_create_time = "create_time"
major_project_update_time = "update_time"

major_project_all_project_dynamics = "all_project_dynamics"
major_project_all_project_dynamic_number = "all_project_dynamic_number"

project_dynamics_docid = "docid"
project_dynamics_doctype = "doctype"
project_dynamics_doctitle = "doctitle"
project_dynamics_page_time = "page_time"
project_dynamics_project_stage = "project_stage"
project_dynamics_win_tenderer = "win_tenderer"
project_dynamics_win_tenderer_manager = "win_tenderer_manager"
project_dynamics_win_tenderer_phone = "win_tenderer_phone"

major_project_project_stages = "project_stages"



class MajorProject(BaseModel):

    def __init__(self,_dict):

        for k,v in _dict.items():
            self.setValue(k,v,True)
        self.table_name = "major_project"

    def getPrimary_keys(self):
        return [major_project_id]




if __name__=="__main__":
    pass