#coding:utf8

import pandas as pd

filename = r"C:\Users\Administrator\Desktop\extract_ai.txt.xlsx"

df = pd.read_excel(filename)

import re

def clean_ai_entity(entity):
    if isinstance(entity,str):
        if re.search("(未|无)(明确|提及)|某(部|单位|医院|公司)|\*\*|XX|登录|详见|招标单位",entity) is not None:
            print(entity)
            return ""
        if re.search("无|区|县|市|省|某|中心|部|公司",entity) is not None and len(entity)<=5:
            print(entity)
            return ""
        return entity
    return ""

list_data = []
for i in range(len(df)):
    docid = df.iloc[i]["docid"]
    tenderee = df.iloc[i]["招标人"]
    win_tenderer = df.iloc[i]["中标人"]
    win_price = df.iloc[i]["中标金额"]
    new_dict = {"docid":docid,
                "tenderee":clean_ai_entity(tenderee),
                "win_tenderer":clean_ai_entity(win_tenderer),
                "win_price":win_price}
    list_data.append(new_dict)
df1 = pd.DataFrame(list_data)
df1.to_excel("%s.xlsx"%(filename))
